> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Billing History

> Billing history for a workspace.



## OpenAPI

````yaml GET /api/v1/workspaces/{workspace_id}/billing/history
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/workspaces/{workspace_id}/billing/history:
    parameters:
      - in: path
        name: workspace_id
        description: The ID of the workspace.
        example: 01kfj20p4jw63sp4jqtfm3kg1m
        required: true
        schema:
          type: string
    get:
      tags:
        - Workspace
      summary: Billing History
      description: Billing history for a workspace.
      operationId: billingHistory
      parameters:
        - in: query
          name: limit
          description: The maximum number of invoices to return. Defaults to 10.
          example: 10
          required: false
          schema:
            type: integer
            description: The maximum number of invoices to return. Defaults to 10.
            example: 10
        - in: query
          name: starting_after
          description: >-
            The ID of the last invoice from the previous page. Used for
            pagination.
          example: in_1234567890abcdefghij
          required: false
          schema:
            type: string
            description: >-
              The ID of the last invoice from the previous page. Used for
              pagination.
            example: in_1234567890abcdefghij
        - in: query
          name: ending_before
          description: ''
          example: example
          required: false
          schema:
            type: string
            description: ''
            example: example
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: in_1234567890abcdefghij
                      created_at: 1234567890
                      amount_due: 1000
                      amount_paid: 1000
                      total: 1000
                      currency: aud
                      status: paid
                      invoice_url: https://invoice.stripe.com/i/acct_xxxxx/xxxxx?s=ap
                      invoice_pdf: https://pay.stripe.com/invoice/acct_xxxxx/xxxxx/pdf?s=ap
                      number: INV-0001
                      period_start: 1234567890
                      period_end: 1234567890
                properties:
                  data:
                    type: array
                    example:
                      - id: in_1234567890abcdefghij
                        created_at: 1234567890
                        amount_due: 1000
                        amount_paid: 1000
                        total: 1000
                        currency: aud
                        status: paid
                        invoice_url: https://invoice.stripe.com/i/acct_xxxxx/xxxxx?s=ap
                        invoice_pdf: >-
                          https://pay.stripe.com/invoice/acct_xxxxx/xxxxx/pdf?s=ap
                        number: INV-0001
                        period_start: 1234567890
                        period_end: 1234567890
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: in_1234567890abcdefghij
                        created_at:
                          type: integer
                          example: 1234567890
                        amount_due:
                          type: integer
                          example: 1000
                        amount_paid:
                          type: integer
                          example: 1000
                        total:
                          type: integer
                          example: 1000
                        currency:
                          type: string
                          example: aud
                        status:
                          type: string
                          example: paid
                        invoice_url:
                          type: string
                          example: https://invoice.stripe.com/i/acct_xxxxx/xxxxx?s=ap
                        invoice_pdf:
                          type: string
                          example: >-
                            https://pay.stripe.com/invoice/acct_xxxxx/xxxxx/pdf?s=ap
                        number:
                          type: string
                          example: INV-0001
                        period_start:
                          type: integer
                          example: 1234567890
                        period_end:
                          type: integer
                          example: 1234567890
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````